---
title: Document.documentURIObject
slug: Web/API/Document/documentURIObject
tags:
  - API
  - DOM
  - Non-standard
  - Property
  - Reference
---
<div>{{ApiRef("DOM")}}{{Non-standard_header}}</div>

<p><span class="seoSummary">The <code><strong>Document.documentURIObject</strong></code> read-only property returns an {{Interface("nsIURI")}} object representing the URI of the <a href="/en-US/docs/Web/API/document">document</a>.</span></p>

<p>This only works for privileged (UniversalXPConnect) scripts, including extension code. For web content this property doesn't have any special meaning and can be used just like any other custom property.</p>

<p>Privileged code must be careful not to try getting or setting this property on a non-wrapped content object (e.g., on a <code>wrappedJSObject</code> of an <code><a href="/en/XPCNativeWrapper">XPCNativeWrapper</a></code>). See {{Bug(324464)}}'s comments for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>uri</var> = <var>document</var>.documentURIObject;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Check that the URI scheme of the current tab in Firefox is 'http',
// assuming this code runs in context of browser.xul
let uriObj = content.document.documentURIObject;
let uriPort = uriObj.port;

if (uriObj.schemeIs('http')) {
  ...
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.documentURIObject")}}</p>
